Bug 1613996 - RFE: support UEFI for armv7l
Summary: RFE: support UEFI for armv7l
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker 1602948
TreeView+ depends on / blocked
 
Reported: 2018-08-08 18:51 UTC by Cole Robinson
Modified: 2018-09-27 18:00 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-27 18:00:30 UTC


Attachments (Terms of Use)

Description Cole Robinson 2018-08-08 18:51:50 UTC
Fedora 29 distro/install media will support arm32+UEFI:

  https://fedoraproject.org/wiki/Changes/uEFIforARMv7

This will track adding support to virt-manager for F29

Comment 1 Cole Robinson 2018-08-08 19:22:56 UTC
I think all the bits are upstream now:

   b623ece2ba6736cd5b8ea2401ae9dd8504df391e
   eb0f4a612fe4c12f498ed8a80e5665d368b5f76c
   cab540792f4fc5ad0270d68d41b54a8fbeea5a7b

Comment 2 Cole Robinson 2018-08-08 23:46:34 UTC
We will want this for libvirt too:

https://www.redhat.com/archives/libvir-list/2018-August/msg00419.html

Comment 3 Peter Robinson 2018-09-06 14:23:49 UTC
This update of blivet/anaconda is needed:
https://bodhi.fedoraproject.org/updates/FEDORA-2018-85853d46b5

Plus a lorax build with this PR:
https://github.com/weldr/lorax/pull/456/

Comment 4 Fedora Update System 2018-09-07 16:07:50 UTC
virt-manager-1.6.0-1.3.git3bc7ff24c.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-91f23723ee

Comment 5 Fedora Update System 2018-09-07 22:50:13 UTC
virt-manager-1.6.0-1.3.git3bc7ff24c.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-91f23723ee

Comment 6 Fedora Update System 2018-09-27 18:00:30 UTC
virt-manager-1.6.0-1.3.git3bc7ff24c.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.